maph 1.0.0 High-Performance Memory-Mapped Key-Value Database with O(1) Lookups

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
StoreRegistry Class Reference
Collaboration diagram for StoreRegistry:

## Public Member Functions
| StoreRegistry ()
bool | create (const std::string &name, uint64_t slots)
bool | remove (const std::string &name)
template<typename F >
bool | with_store (const std::string &name, F &&func)
std::string | list_json ()

## Detailed Description

Definition at line 168 of file maph_server_simple.cpp.

## Constructor & Destructor Documentation

## ◆ StoreRegistry()

StoreRegistry::StoreRegistry | ( |  | ) |
| inline

Definition at line 182 of file maph_server_simple.cpp.

References maph::Maph::open().

Here is the call graph for this function:

## Member Function Documentation

## ◆ create()

bool StoreRegistry::create | ( | const std::string & | name,
|  | uint64_t | slots
| ) |  |
| inline

Definition at line 201 of file maph_server_simple.cpp.

References maph::Maph::create().

Referenced by main().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ list_json()

std::string StoreRegistry::list_json | ( |  | ) |
| inline

Definition at line 240 of file maph_server_simple.cpp.

References SimpleJSON::begin_array(), SimpleJSON::begin_object(), SimpleJSON::comma(), SimpleJSON::end_array(), SimpleJSON::key(), SimpleJSON::str(), and SimpleJSON::value().

Referenced by main().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ remove()

bool StoreRegistry::remove | ( | const std::string & | name | ) |
| inline

Definition at line 219 of file maph_server_simple.cpp.

Referenced by main().

Here is the caller graph for this function:

## ◆ with_store()

template<typename F >

bool StoreRegistry::with_store | ( | const std::string & | name,
|  | F && | func
| ) |  |
| inline

Definition at line 230 of file maph_server_simple.cpp.

Referenced by main().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- integrations/rest_api/maph_server_simple.cpp